Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBMatrixPalette

    java.lang.Object
      org.lwjgl.opengl.ARBMatrixPalette

    public final class ARBMatrixPalette

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_MATRIX_INDEX_ARB`
`static int` | `GL_CURRENT_PALETTE_MATRIX_ARB`
`static int` | `GL_MATRIX_INDEX_ARRAY_ARB`
`static int` | `GL_MATRIX_INDEX_ARRAY_POINTER_ARB`
`static int` | `GL_MATRIX_INDEX_ARRAY_SIZE_ARB`
`static int` | `GL_MATRIX_INDEX_ARRAY_STRIDE_ARB`
`static int` | `GL_MATRIX_INDEX_ARRAY_TYPE_ARB`
`static int` | `GL_MATRIX_PALETTE_ARB`
`static int` | `GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB`
`static int` | `GL_MAX_PALETTE_MATRICES_ARB`

Method Summary
`static void` | `glCurrentPaletteMatrixARB(int index)`
`static void` | `glMatrixIndexPointerARB(int size, int stride, java.nio.ByteBuffer pPointer)`
`static void` | `glMatrixIndexPointerARB(int size, int stride, java.nio.IntBuffer pPointer)`
`static void` | `glMatrixIndexPointerARB(int size, int type, int stride, long pPointer_buffer_offset)`
`static void` | `glMatrixIndexPointerARB(int size, int stride, java.nio.ShortBuffer pPointer)`
`static void` | `glMatrixIndexuARB(java.nio.ByteBuffer pIndices)`
`static void` | `glMatrixIndexuARB(java.nio.IntBuffer pIndices)`
`static void` | `glMatrixIndexuARB(java.nio.ShortBuffer pIndices)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MATRIX_PALETTE_ARB

    public static final int GL_MATRIX_PALETTE_ARB

See Also:
  Constant Field Values

### GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB

    public static final int GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB

See Also:
  Constant Field Values

### GL_MAX_PALETTE_MATRICES_ARB

    public static final int GL_MAX_PALETTE_MATRICES_ARB

See Also:
  Constant Field Values

### GL_CURRENT_PALETTE_MATRIX_ARB

    public static final int GL_CURRENT_PALETTE_MATRIX_ARB

See Also:
  Constant Field Values

### GL_MATRIX_INDEX_ARRAY_ARB

    public static final int GL_MATRIX_INDEX_ARRAY_ARB

See Also:
  Constant Field Values

### GL_CURRENT_MATRIX_INDEX_ARB

    public static final int GL_CURRENT_MATRIX_INDEX_ARB

See Also:
  Constant Field Values

### GL_MATRIX_INDEX_ARRAY_SIZE_ARB

    public static final int GL_MATRIX_INDEX_ARRAY_SIZE_ARB

See Also:
  Constant Field Values

### GL_MATRIX_INDEX_ARRAY_TYPE_ARB

    public static final int GL_MATRIX_INDEX_ARRAY_TYPE_ARB

See Also:
  Constant Field Values

### GL_MATRIX_INDEX_ARRAY_STRIDE_ARB

    public static final int GL_MATRIX_INDEX_ARRAY_STRIDE_ARB

See Also:
  Constant Field Values

### GL_MATRIX_INDEX_ARRAY_POINTER_ARB

    public static final int GL_MATRIX_INDEX_ARRAY_POINTER_ARB

See Also:
  Constant Field Values

Method Detail

### glCurrentPaletteMatrixARB

    public static void glCurrentPaletteMatrixARB(int index)

### glMatrixIndexPointerARB

    public static void glMatrixIndexPointerARB(int size,
                                               int stride,
                                               java.nio.ByteBuffer pPointer)

### glMatrixIndexPointerARB

    public static void glMatrixIndexPointerARB(int size,
                                               int stride,
                                               java.nio.IntBuffer pPointer)

### glMatrixIndexPointerARB

    public static void glMatrixIndexPointerARB(int size,
                                               int stride,
                                               java.nio.ShortBuffer pPointer)

### glMatrixIndexPointerARB

    public static void glMatrixIndexPointerARB(int size,
                                               int type,
                                               int stride,
                                               long pPointer_buffer_offset)

### glMatrixIndexuARB

    public static void glMatrixIndexuARB(java.nio.ByteBuffer pIndices)

### glMatrixIndexuARB

    public static void glMatrixIndexuARB(java.nio.ShortBuffer pIndices)

### glMatrixIndexuARB

    public static void glMatrixIndexuARB(java.nio.IntBuffer pIndices)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.